===============================================================================
Nintendo Message Studio 更新履歴
任天堂株式会社 情報開発本部 技術制作部
===============================================================================

シャープ記号(#)から始まる数字は、内部管理番号を示します。

--------------------------------------------------------------------------------
Ver 1.2.10 (2011年07月21日)
--------------------------------------------------------------------------------

◆機能追加
 - 設定ダイアログのウィンドウサイズを変更できるように修正しました。(#2127)
 - xlltファイル出力時に、出力者情報を出力しないように出来るオプションを追加しました(#2111)
 - スタイルが未設定のテキストをxlltファイル出力するときに、すべてのフォントに対して
   出力できるオプションを追加しました(#2114)
 - 幅ゼロのスタイルをはみ出しチェック対象外にするオプションを追加しました。(#2139)
 - スタイル未設定のテキストについて幅チェックを無視するオプションを追加しまいた。(#2140)
 - ユニコード指定による文字入力機能を追加しました。(#2142)

◆仕様変更
 - コメントセルの編集開始時は、「選択なし・キャレット末尾」の状態にするようにしました。(#2136)
 - フォントが全く使用されない場合にxlltファイル出力されなかった仕様を変更し、
   空のxlltファイルを出力するようにしました(#2131)
 - コメントセルの編集中にESCを押すと編集をキャンセルしていましたが、確定するように仕様変更しました。(#2135)

◆不具合修正
 - チーム管理機能から更新を行った際に、更新状況ダイアログの×ボタンを押すと
  例外を発生する問題に対応しました。(#2137)
 - xlltファイルの出力時にテキストの種類が反映されないバグを修正しました(#2129)
 - 置換オプションがウィンドウ外に出てしまう問題の対策を行いました(#2141)
 - はみ出しチェック時に未使用テキストがチェック対象になっているバグを修正しました。(#2138)
 - 編集権限のないユーザーがスペルチェックの代替文字入力できてしまう問題を修正しました。(#2144)

--------------------------------------------------------------------------------
Ver 1.2.9 (2011年07月05日)
--------------------------------------------------------------------------------

◆機能追加
 - 「編集」モードにシステムタグを削除するためのコンテキストメニューを追加しました。(#2100)
 - ペースト時に編集完了ステータスの場合はペーストを続行するか確認する機能を追加しました。(#2124)

◆不具合修正

 - 複数タブでメッセージを編集しているとき、テキスト変更時にクラッシュする
   可能性がある問題を修正しました(#2099)
 - メニューのデータ＞スペルチェックからスペルチェックした際に、単語の区切りにタグ
   が使われていると不正なスペルと判定される問題を修正しました。(#2120)
 - 先頭にタグがあるメッセージのパラメータに対してスペルチェックが実行される問題を修正しました。(#2122)
 - プロジェクトを新規作成時の、パス設定のための参照ダイアログの
   初期ディレクトリが正しい状態でダイアログが表示できるようにしました(#2166)。
 - 既存の項目を追加するときにパーミッションのチェックを行うようにしました(#2121)。
 - 追加(svn add)されたファイルをプロジェクトエクスプローラでもとに戻す(revert)すると
   クラッシュする問題を修正しました(#2097)

◆ヘルプの修正
 - 「ロールの再選択が出来ない」という制限は緩和されたので該当箇所を削除しました(#2092)。
 - Copyrightを2011年に変更しました(#2093)。

--------------------------------------------------------------------------------
Ver 1.2.8 (2011年04月27日)
--------------------------------------------------------------------------------

◆不具合修正
 - Cygwinのunzipでパッケージを解凍するとファイル区切り部分が
   アンダースコアに置換されて解凍される問題を修正しました(#2030)
 - 属性定義ヘッダファイルに、CTR用の #pragma pack(1) がない問題に対応しました。(#2066)
 - タグ設定を全体に適用するかどうかを確認するダイアログを
   キャンセルしたとき、設定自体のダイアログが閉じられる問題を修正しました(#2065)
 - フォント設定を全体に適用するかどうかを確認するダイアログを
   キャンセルしたとき、設定自体のダイアログが閉じられる問題を修正しました(#2087)
 - フォント設定が削除されても、xlltの出力設定が残ってしまうバグを修正しました(#2057)

--------------------------------------------------------------------------------
Ver 1.2.7 (2011年03月28日)
--------------------------------------------------------------------------------

◆機能追加
 - 詳細検索項目に最終更新者、最終更新ホストを追加しました(#2033)
 - libmsのCTR対応を行いました。
 ※CTR用のフォントをプレビュー表示するプラグインとして、
　NW4CRenderModePlugin12を、本体とは別のパッケージで提供しています。

◆不具合修正
 - プロジェクトの再読み込み中に検索が完了すると落ちる問題に対応しました(#2029)
 - タグの幅計算方式に文字数指定をしているとき、
   プレビュー表示にグリフが正しく描画されない問題を修正しました(#2036)
 - 読み取り専用ファイルに対して保存をすると落ちる問題に対応しました。(#2059)

--------------------------------------------------------------------------------
Ver 1.2.6 (2010年12月24日)
--------------------------------------------------------------------------------

◆不具合修正
 - ビルド時にプロジェクトの更新日時をチェックせず、ビルドすべきテキストが出力
   されない問題を修正しました(#2014)
 - 統計情報を表示する際に、プロジェクト中にコンフリクトしている.mstxtがあると
   落ちる問題に対応しました(#2015)
 - 統計情報を表示する際に、プロジェクト中に登録されているが、実在しない.mstxt
   があると落ちる問題に対応しました(#2016)

--------------------------------------------------------------------------------
Ver 1.2.5 (2010年11月10日)
--------------------------------------------------------------------------------

◆機能追加
 - コマンドライン利用可能な/convertタスクに、rebuildオプションを追加しました。
   このオプションをFalseにするとリビルドではなく通常のビルドを行うことが出来ます(#1965)。
 - 競合の編集のときに表示される「自分のデータを選ぶ」ボタンが押せるか押せないかを
   設定できるパーミッションを追加しました(#1981)。プロジェクトファイルを引き継いだ場合、
   全てのロールで有効(利用できる)状態になります。プロジェクトファイルを、
   プロジェクトウィザードから新規作成した場合、Administratorロール以外は
   この機能を利用しない設定で作成されます。

◆不具合修正
 - プロジェクトエクスプローラの検索結果画面で、ファイル名をマウス右ボタンで
   ダブルクリックしたときにも開けてしまうバグを修正しました(#1978)。
 - プロジェクトエクスプローラの検索結果画面にフォーカスをあわせると、
   切り取りや貼り付けなどが行えてしまうバグを修正しました(#1970)
 - プレビュー画面にてフォントをロード中に稀にクラッシュするバグを修正しました(#1984)
 - 置換用のテキストボックスに入力した内容が、検索ボタンを押すと消えてしまう問題に対応しました(#1945)
 - ヘルプを表示した状態でプロジェクトを閉じ、再度表示させるとクラッシュするバグを修正しました(#1988)
 - Message Studioを立ち上げた直後にヘルプを表示し、プロジェクトをロードさせると
   クラッシュするバグを修正しました(#1990)
 - 選択範囲を印刷する機能を利用したときに、不適切な印刷範囲になったり
   クラッシュしたりするバグを修正しました(#1944,#1985)
 - タグ設定ダイアログで上下移動したときに内部状態がおかしくなることがあるバグを修正しました(#1924)
 - タグ設定ダイアログのタブオーダーを調整しました(#1993)
 - タグの直前にカーソルがある状態で新たにタグを挿入すると後ろに挿入されてしまう問題に対応しました(#1531)

--------------------------------------------------------------------------------
Ver 1.2.4 (2010年10月19日)
--------------------------------------------------------------------------------

 * このバージョンは一部のチームのみに先行リリースしたテスト用のバージョンです。
 * 広い範囲での配布されていません。

◆チーム管理機能
 - mstxtファイルのマージ処理性能を向上させました(#1690)
 - ローカルに作成したSubversionリポジトリにアクセスしているときに、
   作業コピーが古くなっている状態を検出できないバグを修正しました(#1971)
 - マージ画面において、選ばれなかったセルをコメントセルにバックアップに残す必要がない
   セルについては、バックアップ機能が利用できないようにしました(#1975)。

◆そのほか
 - ヘルプおよびUIの英語テキストを更新しました。

--------------------------------------------------------------------------------
Ver 1.2.3 (2010年08月30日)
--------------------------------------------------------------------------------

◆不具合修正
 - NFTRファイル(フォントデータ)の読み込みに失敗してしまう場合がある不具合を修正しました(#1905)
 - 何も入力していない状態の言語セルと、それに対応するコメントセルを含むように選択し、
   「翻訳依頼」メニューを選択するとクラッシュするバグを修正しました(#1902)
 - GUI版の実行ファイル(MessageStudio.exe)にコマンドライン引数を渡すタイプのプラグインが
   正常に動作しない問題を修正しました(#1907)
 - Ver1.1.x系からVer1.2.x系に移行するためのドキュメント "Ver1.2.pdf" ファイルに
   いくつか古い記述があったので修正しました(#1919)
 - 開始時に、前回開いていたドキュメントウィンドウの復元が出来なかったバグを修正しました(#1897)
 - 差分の表示ウィンドウで言語セルの差分がまったく表示されないバグを修正しました(#1915)
 - ファイルを保存していない状態でロールの変更コマンドを実行するとクラッシュするバグを修正しました(#1890)
 - サーバからデータを更新中に稀にクラッシュする問題を修正しました(#1670,#1901)
 - グリッド上に長い文字列を表示すると、表示がずれることがあるバグを修正しました(#1877)
 - プロジェクトウィザードの説明に一部誤りがあったので修正しました(#1921)
 - 通常検索で「デバッグ対象」、「バイナリ対象を外す」の除外オプションを変更したのに再検索されない
   バグを修正しました(#1931)
 - タグを検索対象にした場合に、グループやタグの表示名で検索できない問題を修正しました(#1930)
 - タグを含めいない検索にしている場合に、ユーザータグが検索対象になってしまう問題を修正しました(#1908)
 - プロジェクトに登録されているが存在しないテキストファイル(*.txt)を
   編集しようとしたときに、クラッシュするバグを修正しました(#1933)
 - プロジェクトを一度閉じたあと、プロジェクトを新規作成すると、
   再起動するまでプロジェクトエクスプローラが表示できない状態になるバグを修正しました(#1934)

--------------------------------------------------------------------------------
Ver 1.2.2 (2010年07月20日)
--------------------------------------------------------------------------------

◆動作環境
 - Windows7 64bit環境 でも動作するように修正されました(#1765)


◆不具合修正
 - マージ画面でコメントとしてバックアップする機能を利用すると表示がおかしくなる
   バグを修正しました。本件は表示のみ狂う問題でマージ機能自体に問題はありませんでした(#1865)
 - NW4Rレンダリングモードにおいて強制等幅モードの幅を20より大きく設定できないバグを
   修正しました(#1889)
 - NW4RレンダーモードおよびTWL-Systemレンダーモードで、ルビに半角スペースが入っていると、
   プレビューでエラーが起きるバグを修正しました(#1900)
 - 「ソース」モードで、パーミッションによってロックがかけられている状態で貼り付け
   処理を行うとクラッシュするバグを修正(#1876)
 - 選択している最中に稀にクラッシュするバグを修正(#1857)
 - 統計情報・スペルチェック・タグ比較・テキスト幅チェックにおいて、選択しても
   何も起こらない「選択中のセル」という項目が表示されてしまっていたバグを修正(#1862)
 - 編集完了後の確認ダイアログで「はい」を選択するとステータスが変更できてしまう
   問題を修正(#1887)

◆そのほか
 - プラグイン作成用のリファレンスマニュアルを追記しました。

--------------------------------------------------------------------------------
Ver 1.2.1 (2010年06月18日)
--------------------------------------------------------------------------------

◆機能追加
 - メッセージグリッド上で選択しているセルの境界部分からドラッグして、
   フローチャートウィンドウなどにドロップできる機能を追加しました(#1754)
 - タブのコンテキストメニューに「ファイル名のコピー」と「完全パスのコピー」メニューを
   追加しました(#1664)

◆不具合修正
 - メッセージ行が1行もない状態で全選択(Ctrl+A)を行うとクラッシュするバグを修正しました(#1835)
 - セルを飛び飛びで選択した状態で貼り付け(Ctrl+V)を行うとクラッシュするバグを修正しました(#1845)
 - コメントセルが下方向へはみ出る問題を暫定的に修正しました(#1843)
 - ヘルプを加筆、修正しました(#1839)
 - プラグイン作成用のリファレンスマニュアルの内容が古かった箇所を修正しました(#1848)
 - グリッド表示を変更したときにカラムの幅がデフォルト値になる問題を修正しました(#1789)
 - コンフリクトしたファイルを検索すると落ちる問題を修正しました(#1844)
 - Ctrl+Dとセルのドラッグを高速に繰り返すとクラッシュするバグを修正しました(#1859)
 - タグ設定画面で、タグ位置を上下に移動すると表示名がおかしくなるバグを修正しました(#1828)
 - マージ画面で、コメントとしてバックアップする機能がうまく動作しないことがあるバグを修正しました(#1702,#1823)
 - 「編集」モードで半角カナや半角中点など、半角文字を入力すると、勝手に全角ひらがなになってしまう
   バグを修正(#1854)
 - 「編集」モードで自動ルビ入力を利用中に半角カナ文字を入力すると、ひらがなでルビが振られてしまう
   バグを修正(#1864)

--------------------------------------------------------------------------------
Ver 1.2.0 (2010年05月17日)
--------------------------------------------------------------------------------

 * Ver1.1.x系からこのバージョンへの移行手引きは、doc/Ver1.2.pdfファイルをご覧ください。
 * Ver1.1.x系にて含まれている内容も記述しています。

◆メッセージ編集関連
 - ページ送り位置で水平線を描画するようにしました(#1553)
 - Quick Diff Viewer機能を実装しました(#1497)。詳細はVer1.2.pdfファイルを参照してください。
 - 属性セルの強調表示機能を実装しました(#1741)。詳細はVer1.2.pdfファイルを参照してください
 - 隣り合わない複数のセル選択機能を実装しました(#1025)。詳細はVer1.2.pdfファイルを参照してください
 - メッセージグリッド上でコンテキストメニュー表示キーを押すと画面外にメニューが
   表示されることがあるバグを修正しました(#1615)。
 - タブを含むセルが正しくメッセージグリッド上で表示されないバグを修正しました(#1455)
 - メッセージグリッド上で特殊なマウス操作を行うと稀にクラッシュするバグを修正しました(#1660)
 - メッセージグリッドで、各カラムの幅がファイルごとに保存される機能を追加しました(#1138)
 - メッセージグリッド上で、テキスト行が一行もない場合でも、クリップボードから行挿入が出来るようにしました(#1796)
 - フォントの大きさタグがネストするとメッセージグリッド上でにて正しく描画できなくなるバグを修正しました。(#1800)
 - 空のメッセージグリッド上でペーストするとクラッシュする問題を修正しました(#1821)
 - コメント列を非表示にしたときに表示されるアイコンと、レビュー承認のアイコンの間で
   素早くマウスを動かすと、表示される内容がおかしくなる不具合を修正しました(#1717)
 - 強制編集アイコンだけが表示されている状態で、セルの大きさの自動調整が
   うまくいかない場合がある不具合を修正しました(#1718)
 - コンテキストメニューのアクセラレータキーを調整しました(#1712)
 - 編集ステータスを変更したあと、アンドゥしても編集ステータスの更新者が
   元に戻らない不具合を修正しました(#1721)
 - メッセージファイル(*.mstxt)を開いたときのパフォーマンスが向上しました(#1450,#1452)
 - 行を選択したときにごく低い確率で落ちることがあるバグを修正しました(#1451)
 - ソース編集モードにして、タググループの直後にコロンを入力すると落ちるバグを修正しました(#1467)
 - 数値入力を行うカラムで編集開始時に全体選択された状態で開始されるようにしました(#1461)
 - 編集ウィンドウを開いている状態で言語設定を確定させると不正終了するバグを修正しました(#1480)
 - 編集ウィンドウのテキストサイズを大きくしました(#1478)
 - ソース編集モードにして、パラメータ名の直後にダブルクォートを入れると落ちるバグを修正しました(#1485)
 - 編集ウィンドウが小さいと、ステータスが見えにくくなっていたので対処しました(#1570)
 - 編集ウィンドウにおいて、ステータス表示の優先順位を変更しました(#1556)
 - 編集ウィンドウの背景が、グレーアウトする問題を修正しました(#1569)
 - メッセージグリッドで、文字色が背景色と同化しなくなるようにしました(#497)
 - 編集ウィンドウで、タグの文法エラーが表示されたときに、下寄りに表示される問題を修正しました(#1647)
 - 編集ウィンドウで、タグの文法エラーがリアルタイムに切り替わらない問題を修正しました(#1643)
 - 編集ウィンドウで、ハングル入力ができなかったバグを修正(#1761)
 - 編集ウィンドウで、株式会社ジャストシステム社製日本語入力システム ATOKを利用して
   全角スペースを入力した際に落ちるバグを修正(#1760)
 - 編集ウィンドウで、入力しているテキストのフォントや色、サイズがおかしくなることがあるバグを修正しました(#1801, #1806)
 - タグパラメータのタイプを変えた場合にエディタでタグを編集すると落ちる場合がある
   問題を修正しました。(#1619)
 - 編集ウィンドウでタグの説明をツールチップ表示されるようにしました(#1118)
 - 編集ウィンドウで、保存メニューと翻訳メニューを追加しました(#1601)
 - 編集済みのセルをダブルクリックしたときに、再編集状態にステータスを変更するかを
   たずねるようにしました(#1542)
 - 親言語の編集完了日時が古い場合に、編集完了仕様とした場合に警告する機能が、
   必要が無い場合にも警告してしまう問題に対応しました。(#1607)
 - 検索が2重起動してしまう問題に対応しました(#1686)
 - スペルチェックが日本語で起動してしまう問題に対応しました(#1691)
 - PCによっては検索ウィンドウが崩れる場合がある問題を修正しました。(#1729)
 - 編集ウインドウを開いた状態でスタイルを変更しても、文字の地の色がすぐに反映されなかったバグを修正(#1807)
 - 完了済みセルに対する置換オプションを追加(#1591)
 - 「編集」モードで半角カナや半角中点など、半角文字を入力すると、勝手に全角ひらがなになってしまう
   バグを修正(#1854)
 - 「編集」モードで自動ルビ入力を利用中に半角カナ文字を入力すると、ひらがなでルビが振られてしまう
   バグを修正(#1864)

◆プロジェクト設定関連
 - 「改ページ」をシステムタグとして登録しました(#544)
 - プラグイン同士が依存しあっている場合における遅延ローディング機能を実装しました(#1610)
 - タグ計算でピクセル単位での指定をしたときに、
   水平拡大率に影響を受けるか受けないかを設定できるようにしました(#1258)
 - 特定の条件でルビなし警告が漏れてしまうバグを修正しました(#1571)
 - プロジェクト全体に対して変更を適用する処理のアニメーションが正常に再生できない問題に対処しました(#1456)
 - プロジェクト全体に対して変更を適用している最中にエラーが発生すると
   ファイルの内容が失われる問題に対処しました(#1457)
 - 設定項目上下移動ボタンの可否状態に関する不具合を修正しました(#1675,#1731,#1742)
 - 言語を１つだけにして、パーミッションの登録ダイアログを開き、メッセージ編集の項目を、
   唯一の言語に対して許可した場合に、正常に保存できない不具合を修正しました(#1695)
 - スタイル設定に背景色を設定できるようにしました(#1793)。詳しくはVer1.2.pdfをご覧ください。

◆チーム管理機能関連
 - Subversionのライブラリを1.6.9へ更新しました(#1535)
 - Subversion関連のDLLを静的リンクに変更しました(#1734)
 - mstxtファイルのマージを行おうとしたときに高い確率で不正終了する問題に対処しました(#1545)
 - 大量のメモリを浪費する問題を修正しました(#1441,#1475,1476)
 - 「チーム」メニューから、現在のロールが変更できるようになりました(#1590)
 - ASCII以外の文字を含むパスに本体プログラムが置いてあると、正常にロケール設定が行われず、
   エラー表示が全て英語になる不具合を修正しました(#1585)
 - コミット時のパスワード認証に失敗したら、再設定を促すようにしました(#1662)
 - チェックアウトダイアログで作業コピーが空の状態でOKを押したときの警告メッセージを変更しました(#1725)
 - Subversionのマージに失敗した後でも、Message Studioの機能で自動的にマージできる場合には、
   自動的に全てのファイルをマージするようにしました(#1726)
 - コミットコメントの履歴がボタンから入力できるようになりました(#1642)
 - Message Studio以外のソフトウエアでチェックアウトしたプロジェクトファイルを
   チェックアウトしたときにも、プロキシサーバの設定が行えるようにしました(#1375)
 - プロキシの設定で空欄の項目があると不正終了するバグを修正しました(#1377)
 - メッセージのビルド中はSVN更新などチーム管理関連メニューを無効化するよう修正しました(#1462)
 - ステータス取得処理を高速化しました(#1474)
 - マージウィンドウで、競合の解決が行われないままウィンドウを閉じれる場合があるので、
   そのような場合に警告を表示するようにしました(#1586)
 - 直前まで開いていたファイルが競合した場合に、意味不明の分かりにくい警告ダイアログが
   表示される問題を修正しました(#1549)。
 - mstxtファイルのマージが自動的に行われたとき、ファイルが、競合が発生しやすい
   形で保存されてしまう問題を修正しました(#1630)。(ファイル自体は壊れません)
 - mstxtファイルのマージが自動的に行われたとき、マージダイアログのセルに
   表示されない問題を修正しました(#1629)。 (表示上の問題で、ファイルには影響はありません)。
 - 英語版で起動すると、競合の解決ウィンドウのボタンにテキストが
   入りきらない問題を修正しました(#1582)。
 - mstxtファイルで競合が発生したときに、関係ない位置まで競合していると
   報告されることがあるバグを修正しました(#1663)
 - mstxtファイルで競合が発生したときに、削除したはずのセルが
   復活することがあるバグを修正しました(#1668)
 - mstxtファイルのマージ編集ダイアログで、保存せずに閉じようとした場合のダイアログに
   「キャンセル」ボタンを追加しました(#1667)
 - "更新中"のダイアログの出現位置がおかしくなることがある不具合を修正しました(#1655)
 - ログの表示ウィンドウで、変更されたファイルのパスが表示できるようになりました(#1368)

◆プロジェクトエクスプローラ
 - 検索をメニューを選んだときにフォーカスがインクリメンタルサーチの位置へ移るようになりました。
 - Message Studioで編集できないファイルを開こうとしたときは、Windowsのシェルに
   ファイルの編集を委任するようにしました(#1689)。

◆プロジェクトウィザード
 - 新規作成されるプロジェクトのプラグインディレクトリ位置のデフォルトを変更しました(#1637)
 - プロジェクトウィザードで誤解を招く表現の文章があったので修正しました(#1621)。
 - プロジェクトウィザードで保存先のファイルパスの欄にて、ディレクトリ名を直接
   入力して保存すると、ウィザード終了後にクラッシュする問題を修正しました(#1620)。

◆リソースとビルド関連
 - 埋め込みテキストのソースコード出力において、コメントに改行があると、
   正しくコメントアウトされない状態で出力される問題を修正しました(#1701)
 - プロジェクトバイナリのスタイル情報(SYL2およびSLB1)が１つのファイルに対して言語数分出てしまっていたバグを
   修正しました。この修正に伴い、プロジェクトバイナリファイル(*.msbp)もメッセージバイナリファイル(*.msbt)と同じく
   言語の数だけ出力されるようになりました。libmsの変更はありません。(#1638)
 - テキスト行がどのスタイルを参照しているのかを取得するためのTSY1ブロックを
   追加しました。規定値では出力しない設定です(#101)
 - プロジェクトバイナリに地の色(ベースカラー)情報が出力されるようになりました。libmsにもこの情報を取得する
   ためのAPIが追加されました。(#1264)
 - 属性の定義出力の仕様が変更されました(#1711)。詳しくはVer1.2.pdfをご覧ください。
 - 属性の定義出力で、リストアイテム型でない属性に対してNewItemという定義が#defineされることがある
   不具合を修正しました(#1780)
 - 属性の定義出力で、Nintendo DSi環境以外で一部のdefineがundefされない問題を修正(#1782)
 - コンテンツファイルが１つもないプロジェクトで属性の定義出力を行うと、空の構造体が出力される問題を修正(#1781)

◆データ関連
 - 統計情報をファイルが壊れたまま実行するとクラッシュする問題を修正しました(#1680)
 - 統計情報で「翻訳依頼中」のテキストは更に内容が空のものとそうでないものも
   分けて表示されるようになりました(#1727)。
 - 統計情報で、編集中のファイルを保存しなくても統計調査ができるようになりました。
 - 統計情報で、翻訳者にとって特に興味のある情報を右側にまとめることで視認性を改善しました。
 - テキスト幅チェックで、テキスト幅が領域幅と等しい場合に「0ピクセルはみだしています」と
   報告されてしまっていたバグを修正(#1762)
 - テキスト幅チェックを開始する際、ファイルを保存しなくても幅チェックを行えるようになりました。

◆libms
 - LMS_GetLabelByTextIndexに失敗した際に、非0を返す場合がある問題を修正しました(#1496)
 - APIのそれぞれの整数型がlibms_**_tという名前に変更になりました。
 - スタイルブロックのデータ取得関数が追加されました(#101)。
 - Wii用静的リンクライブラリをCodeWarrior for Wii 1.2 patch1とRevolutionSDK 3.3でビルドしたものに差し替えました(#1736)
 - DSi用静的リンクライブラリをCodeWarrior for DSi 1.2 patch2とTWL SDK 5.4 patch 1でビルドしたものに差し替えました(#1737)
 - DS/DSi環境において、特定のリソースファイルが読み込めなくなる問題に対処しました(#1544)
 - コンパイル時に出ていた警告を修正しました(#1574)
 - libmsで、DLLビルドにしていなくてもDllMainが残ってしまう問題を修正しました(#1694)
 - libmsで、ラベルからインデックス番号がうまく引けないケースがある問題を修正しました(#1693)
 - libmsをC++コードとしてコンパイル(/TP)するとビルドが通らない問題を修正しました(#1678)
 - LMS_GetColorNum, LMS_GetAttrNum, LMS_GetStyleNumを追加しました。(#1794)
 - LMS_GetNodeCountをLMS_GetNodeNumに変更しました。
 - libmsをFlowchart Plugin ver1.2の.msbf形式(FLW3ブロック)に対応しました

◆ロールとパーミッション
 - ロールの選択ダイアログでダブルクリックしても選択できるようになりました(#1666)

◆プレビュー関連
 - NW4Rのスタイル設定画面のUIを、X, Y となるように調整しました(#1688)
 - 色変更などの終了位置において、水平スペースが計上されないバグを修正しました(#1367)
 - ユーザー定義タグの中身がプレビューされないバグを修正しました(#1362)
 - 空行でない行の末尾に改行があると、余分に水平スペースが計上されるバグを修正しました(#1440)
 - 範囲を持ったタグの中に、何もテキストが入っていない場合に、字間が入らないバグを修正しました(#1466)
 - NTFRからフォントを作成すると、グリフ幅がセルの大きさになるバグを修正しました(#1372)
 - NTFRからフォントを作成すると、マージン情報が無視されるバグを修正しました(#1482)
 - 8色のNTFRフォントに対応しました(#1483)
 - TWL Systemでタブ文字が見つかったときに特別な処理をしないようにしました(#1487)
 - プレビューウィンドウにおいて、特定のパターンを入力すると字間が入らない問題に対処しました(#1486)
 - 読み取り専用になっているフォントをロードできない問題を修正しました。(#1669)

◆ヘルプ
 - ヘルプビューアで検索を行ったときに検索ウィンドウが表示されるようになりました(#1658)
 - ヘルプの誤りを修正しました(#1454,#1567,#1635,#1636,#1783)
 - ヘルプの解説抜け箇所について、追記しました(#1699)
 - 英語版のヘルプにて、翻訳中の箇所はグレーアウトさせて表示するようにしました(#1568)
 - ヘルプの英語翻訳をアップデートしました。

◆そのほか
 - 最近使ったプロジェクトメニューに、フルパス表記のツールチップを表示するようにしました(#1732)
 - 全て閉じるメニューを実装しました(#1723)
 - 致命的な問題が起こったときの情報を追加しました(#1528)
 - 致命的なエラーが表示されたときに、続けてもう一度致命的なエラーが発生することがある
   不具合を修正しました(#1502)
 - 特定のプラグインを利用して編集を行って、保存しないまま閉じようとすると
   クラッシュする問題を修正しました(#1584)。
 - プロジェクトフォルダごと移動したときにプロジェクトが開けなくなる可能性がある問題を修正しました(#1758)
 - プロジェクトファイルをコマンドラインから指定して立ち上げようとすると、
   Message Studioが立ち上がらないことがある不具合を修正しました(#1697)
 - 既存のファイルを追加して、プロジェクトを保存し、再度開きなおしたときに、
   フォルダが多重に登録されて表示されてしまうことがあるバグを修正しました(#1433)
 - ウィンドウ復元時に落ちたり、おかしな状態になって表示されてしまうことがある
   バグを修正しました(#1371,#1400,#1443,#1444,#1445)
 - メッセージのビルド中にキャンセルすると不正終了となる問題を修正しました。(#1469)
 - 英語版で起動するとタグ設定ダイアログ表示が乱れる問題を修正しました。(#1465)
 - 応用サンプルとして、HTMLエクスポータープラグインを追加しました。応用サンプルはPracticalフォルダに配置されます。
 - 今までのサンプルを基本サンプルとしてBasicフォルダに移動しました。
 - 検索および統計情報について、デバッグ用ファイルとバイナリ出力しないファイルを対象と
   しないオプションを追加しました。(#1494、#1495)
 - パーミッションの無いセルを置換できてしまう問題を修正しました。(#1532)
 - 英語版のインターフェイスをアップデートしました。

--------------------------------------------------------------------------------
Ver 1.1.0.5753 (2009年12月14日)
--------------------------------------------------------------------------------

 * Ver1.0.x系からこのバージョンへの移行手引きは、doc/Ver1.1.pdfファイルをご覧ください。
 * Ver1.0.x系にて含まれている内容も記述しています。


◆チーム管理機能
 - Subversion接続時にプロキシサーバを経由できるようになりました(#1243)
 - 初回チェックインを行う前に、保存確認を表示するようにしました。(#1194)
 - コミット時にごく低い確率でエラーが発生し、以後復旧できなくなるバグを修正しました(#1190、#1070 再、#941 再)
 - リポジトリアドレスの末尾にスラッシュが入った状態で、プロジェクトエクスプローラの
   コンテキストメニューからログや差分の表示が出来ないバグを修正しました(#1215)
 - 利用しているSubversionライブラリを1.6.6に更新しました(#1230)
 - コミット時にコメントが入っていないときに出る警告に対して、
   今後表示しないチェックが入れられるようにしました(#1260)
 - チーム管理システムのバックエンドを選ぶコンボボックスで、選択している項目が見づらいバグを修正しました(#1327)

◆メッセージグリッド関連
 - プロジェクト開発途中で言語ツリーが変更された場合にセルステータスがおかしくなることがあるバグを修正しました(#1322)
 - グリッド上のセルの大きさが状態に応じて自動的に変化するようにしました(#1114,1236)
 - グリッド上に改行アイコンが描画されるようにしました(#1111,#1297)
 - スタイルが未設定のものは表示方法を少し変更しました(#1152)
 - 命名規則に関する検証が一部不十分であった問題を修正しました(#1224)
 - グリッド上で画面外に出ているセルを編集しようとすると、画面中央に持ってくるために自動スクロールされ、
   それに伴い範囲選択されてしまうバグを修正しました(#1202)
 - グリッド上で、プラグインによって追加されたソート不可能なカラムをソートしようとすると落ちる
   バグを修正しました(#1210)
 - グリッド上のコンテキストメニューのアクセラレータが重複している問題を修正しました(#1129)
 - メッセージグリッドにおけるペーストが一部正常に動作しないバグを修正しました(#1226,#1253,#1254,#1356)
 - メッセージグリッドにおいて、大きなデータをペーストしたときに行が拡張できるようになりました(#1220)
 - Shift + F10キーを押したときにコンテキストメニューが表示されないバグを修正しました(#1206)
 - カラムの表示設定を切り替えたときにパフォーマンス上の問題が発生していたので修正しました(#1329, #1331)
 - メッセージグリッド上の、左上の部分をクリックしたときに全て選択するようにしました(#1309)
 - 翻訳依頼を行ったときの確認メッセージを変更しました(#1311)
 - テキストの種類を選択するためのコンボボックスがドロップダウンリストでないバグを修正しました(#1332)
 - 選択しながら、セルのない位置へマウスカーソルをドラッグして、その後左右へ移動したときの選択方法を変更しました(#574)

◆プロジェクトエクスプローラ
 - プロジェクトエクスプローラからのファイル名変更に関するバグフィックス(#1164,#1163,#1162,#1203)
 - プロジェクトエクスプローラ上でのコンテンツ（ファイル）操作のパーミッションチェックに関する
   バグフィックス(#1175)

◆編集ウィンドウ関連
 - ルビのコピー＆ペーストに関するバグフィックス(#1131)
 - ルビの削除に関する仕様変更(#1143)
 - タグパラメータ編集パレットからリスト項目を選択しようとすると不正終了するバグを修正しました(#1263)
 - 編集ウィンドウで、色変更タグをつけたときにルビが消えることがあるバグを修正しました(#1207)
 - 編集ウィンドウで、ユーザー定義タグに対して色変更を行うことができないバグを修正しました(#1151)
 - ユーザー定義タグ入力に関するバグフィックス(#1165)
 - 編集ウィンドウのメニュー表示がおかしかったのを修正しました(#1126)
 - 編集ウィンドウで、タグのデフォルトパラメータが表示されなかったのを修正しました(#1141)
 - 改行したときにテキストの色が正常に反映されないバグを修正しました(#1351)
 - スペルチェックの不具合を修正しました(#1179,#1204)
 - NHunspellライブラリを0.9.2に更新しました(#1242)

◆ビルド
 - ビルドの終了時に、ビルド情報をmpuoに保存する修正(#1170)
 - エラー表示の問題を修正しました(#1124)
 - ラベルのエラーが発生しても、二回目以降のビルドが行われないバグを修正しました(#1325)
 - 埋め込みテキストのC言語ビルダーにて、マクロの名称が一部間違っていたのを修正しました(#1122)
 - 埋め込みテキストのC言語ビルダーにて、名前が重複しているときの警告表示を修正しました(#1123)
 - メッセージバイナリ出力無視メタ情報が、１つのディレクトリに１つしか
   有効でなかったので制限をなくしました(#1273)
 - 出力無視メタタグが、直属の親しか有効ではありませんでしたが、再帰的に有効になるようにしました(#1272)
 - 文字フィルタ(*.xllt)ビルダーにて、出力されるxlltのタイポグラフィを修正しました(#1290)
 - 文字フィルタ(*.xllt)を、スタイルの設定直後にビルドすると不正終了することがあるバグを修正しました(#1353)
 - エラーと警告ウィンドウで、選択しないままEnterを押すと不正終了するバグを修正しました(#1299)
 - エラーと警告ウィンドウをフロートウィンドウに出来るようにしました(#1317)
 - エラーと警告ウィンドウで全部選択とコピーが出来るようにしました(#1326,#1318)
 
◆レンダリングモード / プレビュー関連
 - NW4R方式のプレビューで、水平垂直拡大率を設定したときにルビに適用されないバグを修正しました(#1208)
 - NW4Rレンダリング方式の場合に、行間／文字間隔に対してマイナス値を設定できるようにしました。(#1262)
 - プレビューウィンドウで、色指定していない文字のルビに色がつくことがあるバグを修正しました(#1158)
 - NW4R方式レンダリングモードの設定ダイアログが正常に反映されないタイミングがあるバグを修正しました(#1270)
 - プレビューウィンドウで、タブ文字に水平拡大率がかからないバグを修正しました(#1360)
 - フォントの画像フォーマットを設定しても保存されないバグを修正しました(#1357)

◆プロジェクト設定関連
 - 属性の更新に関するバグフィックス(#1135)
 - 属性のリソース出力をメタ情報によってつけるように仕様を変更しました(#1229)
 - タグ設定ダイアログで削除を行ったとき右側のペインの表示がおかしくなることがあるバグを修正しました(#1199)
 - カラー設定ダイアログの、数値直接入力の挙動が怪しいバグを修正しました(#1150)
 - カラー設定ダイアログで設定作業を行うときにパーミッションが正しく利用されないバグを修正しました(#1212)
 - カラー設定ダイアログの左側に表示されるリストの選択項目が見づらいバグを修正しました(#1304)
 - 全体更新ダイアログのタブオーダーを修正しました(#1211)
 - プロジェクトのスタイル、カラー、属性の設定項目移動がパーミッションに関係なく
   行えるバグを修正しました(#1213)
 - フォントの追加と削除ダイアログにパーミッション設定が出来るようになりました(#1217)
 - メタ情報編集ダイアログにパーミッション設定が出来るようになりました(#1285)
 - スタイルに地の文の色を設定できるようにしました(#1180)
 - 自分自身が所属するロールは削除できなくなりました(#111)
 - デフォルトでつけられる名称の問題を修正しました(#1183)
 - プラグインが正常に読み込まれていない状況でメタ情報を編集しようとすると例外が発生するバグを修正しました(#1276)
 - メタ情報編集ダイアログのタブオーダーが正しくないバグを修正しました(#1298)
 - メタ情報編集ダイアログで、左側のリストにマウスを乗せたときに解説が出るようにしました(#1103)
 - メタ情報編集ダイアログで、解説が表示されるペインが追加されました(#1790)

◆検索関連
 - 属性の詳細検索が可能になりました(#1225,#1301)
 - 詳細検索のクエリ保存のUIを変更しました(#1306)
 - 新規プロジェクトの初回検索ボタン無効化(#1144)
 - 詳細検索条件を入力パネルがばらばらになることがあるバグを修正しました(#1307)
 - 詳細検索条件の最後のパネルがもぐってしまうことがあるバグを修正しました(#1307)

◆libms
 - LMS_GetTextSize関数を追加しました(#1174)
 - libmsのLMS_GetColor関数およびLMS_GetColorByName関数で、カラーデータが正常に取得できない
   バグを修正しました(#1184)
 - いくつかの関数を内部用としました(#1363)
 - LMS_GetMessageBlockInfoByName関数を追加しました(#1364)

◆そのほか
 - プラグインが正常に読み込まれていない状況でファイルを保存すると、ファイルの体裁が変わり、
   チーム管理下にあった場合競合が発生しやすくなるバグを修正しました(#1247)
 - プロジェクト終了時の子供ウィンドウの位置や開いていたファイルが保存されるようになりました(#343)
 - Ctrl+Tabキーを押下してアクティブウィンドウが変更された場合にUIがおかしくなるバグを修正しました(#1219)
 - マウスの中ボタンを押下したときに子供ウィンドウが閉じられるようにしました(#1117)
 - 子供ウィンドウの一部にアイコンを追加しました(#1218)
 - 「ウィンドウ」メニューの一覧に空白のメニューが出てしまうことがあるバグを修正しました(#1149)
 - プロジェクトを編集中に、別のプロジェクトをWindowsのエクスプローラから
   ウィンドウにドラッグアンドドロップし、編集中の保存確認ダイアログが表示されたときに、
   Windowsエクスプローラが確認ダイアログを閉じるまで応答停止するバグを修正しました(#1195)
 - 新しい種類のプラグインが利用可能になりました(#1173,#1237)
 - ファイルを保存している最中に例外が発生したときに書き込み中のファイルが
   失われないようにしました(#1287)
 - ヘルプ文書を修正しました(#1139,#1161,#1185,#1231,#1234)
 - プラグイン用解説文書を修正しました(#1177,#1178,#1274,#1275)
 - プロジェクトのサンプルを追加しました(#1182)
 - Message Studioのオーバービューを添付しました(#1333)

--------------------------------------------------------------------------------
Ver 1.0.0.4700 (2009年09月14日)
--------------------------------------------------------------------------------

<<データ互換性に関する警告>>
以前のプロジェクトファイル、メッセージファイルを開くことはできますが、
このバージョンで作成したものを以前のバージョンで開くことはできません。


◆プロジェクト設定関連
 - フォント名を変更したときに、全更新したらスタイル情報が変更されるようにしました(#620)
 - フォント名を変更したときに、メッセージファイルの中のタグ情報が変更されるように(#878)
 - カラー名を変更したときに、メッセージファイルの中のタグ情報が変更されるように(#878)
 - 属性の設定を変更したときに、メッセージファイルの情報が変更されるように(#1099)
 - タグの設定を変更したときに、メッセージファイルの情報が変更されるように(#1101)
 - タグ、属性、フォント設定、スタイル設定の順番が変更できるようにしました(#811)

◆検索関連
 - 詳細検索に、日時による条件が追加できるようになりました(#840)
 - 置換機能が追加されました(#913)

◆メッセージ編集関連
 - 編集ウィンドウを開いたままスタイル設定を行い、全更新すると不正終了するバグを修正(#918)
 - 編集ウィンドウを開いたままテキストが削除されたときにはウィンドウを閉じるように修正(#1050)
 - ソーステキストで角括弧がエスケープされている状態で、それ以降の文字を編集ウィンドウで
   コピーするとおかしな位置の文字列がコピーされるバグを修正(#1115)
 - メッセージグリッドの矢印キーによる操作を改善(#1100)
 - ヘッダーをクリックしたときに表示されるコンテキストメニューが遅い不具合を修正(#1097)
 - プレビュー画面でルビが表示されるようになりました(#1068)
 - プレビュー画面で改ページが表示されるようになりました(#543)
 - フォントが読み込み終わってもプレビューが表示されないことがあるバグを修正(#779)

◆プロジェクトエクスプローラ
 - ノードをドラッグアンドドロップしながら、上にスクロールできないバグを修正(#992)

◆チーム関連機能
 - 名前の変更を行ったあと、そのアイテムだけRevertすると、変更前のものが復帰しないバグを修正(#1039)
 - プロジェクトファイルのみのログを表示するとエラーが発生するバグを修正(#1105)
 - ログダイアログのUI表示ミスを修正(#1106)
 - ツリー競合が発生したときに解決出来るようになりました(#676)

◆出力関連
 - テキストが「埋め込み」に指定された行の情報をC言語ソースとして出力するビルダーを追加(#1076)
 - エラーチェックを強固なものにしました(#1085)

◆そのほか
 - ヘルプの加筆修正を行いました(#1093,#786,#1053,#1054,#1055,#1056,#1057,#1060,#1061,#790,#886)
 - バージョン互換性のないプラグイン(GetTypesに失敗するもの)を読み込んだときのエラーを
   詳細に表示するようになりました(#1110)
 - スペルチェックウィンドウなどが、選ぶたびにどんどん表示されるバグを修正(#1116)
 - プロジェクトを閉じてもスペルチェックウィンドウなどが閉じられないバグを修正(#1051)
 - ツールバー、メニューの位置が保存されるようになりました(#414)

--------------------------------------------------------------------------------
Ver 0.9.5.4580 (2009年09月07日)
--------------------------------------------------------------------------------

◆グリッド関連
 - ソート表示機能が追加されました(#888)
 - 最終更新者および最終更新日時のカラムが追加されました(#838)
 - グリッド上でカットおよび削除ができなかった不具合を修正(#499)
 - セルのプロパティ表示機能を追加しました(#908)
 - グリッドのスクロール処理を改善しました(#1005,#1086)
 - ファイル編集を開始したときにアクティブタブグループに表示されるように修正(#1034)
 - 追加されたカラムの表示設定をできるように修正(#991)
 - メッセージをバイナリ出力した際のインデックスをグリッドに表示できるように改善(#1067)
 - ラベルを編集中などにアンドゥ処理を行ったときの処理を改善(#600)
 - 言語セルのツールチップ(タグやレビューなどの情報表示)が、3秒ごとに非表示になる問題を修正。
   さらに、デュアルモニター環境でモニター境界線付近で表示するとちらつく問題を修正(#627)
 - 数値入力コントロールでコピー＆ペーストができないバグを修正(#1083)

◆チーム管理
 - コミットやチェックイン直後にコンテンツを追加した際のSVN表示を修正(#1010)
 - ログの取得をAddステータスのものに対して行った場合に失敗する問題を修正。(#1028)
 - バージョン間比較機能(diff)の追加(#407)
 - 競合の解消をしないままウィンドウを閉じようとしたときに確認ポップアップを出す対応(#1027)
 - mstxtファイルの変更部分の差分を表示機能追加(#1030)
 - Subversionコミット時にごく低い確率でメモリへのアクセス違反が発生して
   作業コピーがロックアウトされる問題を修正(#1078)

◆プロジェクトエクスプローラ
 - フォルダをダブルクリックしたはずなのにファイルが開かれる問題への対応(#431)
 - プロジェクトエクスプローラの削除切り取りコピー貼り付けを行えるよう対応(#1014)
 - 既存のファイル追加でmstxt以外が追加できるよう対応(#1016)
 - 拡張子が不明なコンテンツを編集しようとしたときのメッセージを修正(#1036)
 - プロジェクトエクスプローラでドラッグを開始するとツリーノードがグレーアウトする問題への対応(#1040)
 - 未登録の拡張子ファイルがノードに含まれているとパフォーマンスが落ちる問題への対応(#1041)
 - 既存のファイルを追加するときに複数選択できるように対応(#928)
 - 名前変更、拡張子を変更した際に警告するように修正(#1037)
 - プロジェクトエクスプローラでEnter押してフォルダが開くように改善(#1063)


◆プロジェクト設定
 - スタイル設定に大きな値を入力した際の問題を修正(#573)
 - 属性のリスト型のデフォルト値がうまく更新されない問題の修正(#877)
 -言語設定のパラメータがロードできていなかった問題を修正(#1071)
 - タグ・属性の設定]時にリスト項目の入力をF2とかからできるように修正(#1046)
 - プロジェクト設定のバグフィックス(#1066)
 - プロジェクトの設定用ツリーを表示名で表示(#1011)


◆メッセージ編集
 - ルビの手動入力ができなくなる問題の修正(#907)
 - メッセージ編集のバグフィックス(#976)
 - カスタムタグのリストパラメータを表示名で表示するように対応(#1032)
 - 自動ルビ＞ソース編集＞色変更で色が反映されない問題への対応(#1044)
 - Appキーでコンテキストメニューを出すと右クリックでコンテキストメニューがでなくなる問題への対応(#1059)
 - タグエラーの表示が即座に復帰するように修正(#1064)
 - タグパラメータ入力ダイアログで前に入力した内容が残ってしまう問題への対応(#1077)
 - タグシンタックスエラーの表示を分かりやすく修正(#749)
 - タグパラメータを編集する際、文字列型・リスト型に入力値が反映されていない問題への対応(#1020)
 - システムタグ挿入をコンテキストメニューの最後に移動(#1026)


◆ビルド
 - 色の名前が不明な場合にエラーメッセージに色名を出すように対応(#1049)
 - 不正なパラメータ警告を強化(#782)
 - タグの定義ヘッダにリスト型パラメータが出力されるように修正(#828)
 - 「未使用」のラベルは空のデータとして出力するように仕様変更（とまり防止）(#999, #1007)
 - ビルド中のウィンドウクローズに対応(#194)
 - ルビなし警告機能を追加(#387)
 - メッセージＩＤの重複チェック(#480)
 - 個数制限に関するエラーチェックを追加しました(#549)

◆libms
 - ブロック情報の取得APIを追加(#160)
 - いくつか型の変更がありました。ご確認お願いします(#548)。

◆そのほか
 - タブコンテキストに「閉じる」を追加(#1022)
 - パラメータ設定画面で、「文字列(NULL終端)」と表示していましたが実際にはNULLは入らないので
   表示を修正しました。(#1015)
 - テキスト幅チェックのバグフィックス(#996)
 - タグ比較で、１：１の言語でなく、１：xが比較できるよう対応(#998)
 - バージョン情報ダイアログにて、ビルド日時が表示されるようになりました(#1021)

--------------------------------------------------------------------------------
Ver 0.9.4.4360 (2009年08月26日)
--------------------------------------------------------------------------------

◆メッセージ編集

 - 編集ウィンドウで前後ボタンを押した際に、移動できない場合は新規で行を作成するかどうか
   たずねるようにしました(#699)
 - セルステータスが更新されたときに、テキストの更新者情報が変更される不具合を修正しました(#984)

◆チーム管理機能(Subversion)

 - 環境によってアプリケーションが動作しなくなる問題を解消(#980:再修正)
 - 作業コピーにある管理外のプロジェクトファイルを開いたときに、
   msprojファイルをsvn addするようにしました。

◆libms

 - Wii版のlibmsを、CodeWarrior for Wii Compiler Hot Fix Patchを入れてリビルドしました(#961)
 - DSi版のlibmsを、CodeWarrior for DSi patch2およびTWL SDK 5.3でリビルドしました(#986, #960)


--------------------------------------------------------------------------------
Ver 0.9.3.4325 (2009年08月25日)
--------------------------------------------------------------------------------

◆チーム管理機能(Subversion)

 - 環境によってはSubversionにアクセスすると不正終了する可能性がある問題を修正しました(#980)
 - Subversionを1.6.5に変更しました。

--------------------------------------------------------------------------------
Ver 0.9.2.4300 (2009年08月24日)
--------------------------------------------------------------------------------

<<データ互換性に関する警告>>
Ver0.9.1.4160のプロジェクトファイル(msproj)およびメッセージファイル(mstxt)は、
このバージョンで開くことは出来ますが、一度保存すると以前のもので開けなくなります。


◆メッセージ編集機能
 - クリップボードから行として挿入メニューが切り替わらない問題に対応(#953)
 - 編集ウィンドウで前後ボタンを押した際に、当該の行を選択するようになりました(#948)
 - 編集ウィンドウで前後ボタンを押した際に、グリッドがスクロールされるようになりました(#949)


◆チーム管理機能(Subversion)
 - コミット中に発生するSVNエラーへの対応を行いました(#941)
 - コミットしてもフォルダの表示が更新されないケースを修正しました(#938)
 - Subversionのバージョンを1.6.4にアップデートしました(#937)
 - プロジェクトを一度閉じて、再度開いた場合に発生するエラーを修正しました(#879)
 - コミットする際に存在しないファイルがSVN管理外の場合発生するエラーを修正しました(#902)
 - プロジェクトに登録されていてシステム上にないファイルを削除できるように修正しました(#927)
 - エラー内容のローカライズに対応しました(#593)


◆そのほかユーザーインターフェイス
 - タグパラメータ入力の操作性を改善しています(#874)
 - タグパラメータの固定値設定を行うと、タグパラメータに対応するコントロールが
   表示されない問題に対応しました(#939)

◆データ
 - プロジェクトのファイル構成情報をバイナリファイル(.msbpファイル)に出力するように修正しました(#192)
 - ビルドエラーが発生したファイルは、次回のビルド対象となるように修正しています(#963)
 - ビルドの履歴情報をmpuoファイルにキャッシュするように仕様変更しています(#950)
 - mstxtに拡張データを保持できるようになりました(#912)

◆プラグイン開発者向け
 - カラム追加プラグインの追加されました(#911)
 - イベントハンドリングのための空プラグインが追加されました(#954)

 ◆その他
 - バグフィックス等(#773, #947, #952, #955)


--------------------------------------------------------------------------------
Ver 0.9.1.4160 (2009年08月07日)
--------------------------------------------------------------------------------

<<データ互換性に関する警告>>
Ver0.9.0.4012のプロジェクトファイル(msproj)をこのバージョンで開くことは
出来ますが、一度保存すると以前のバージョンで開けなくなります。
メッセージファイル(mstxt)は双方で問題なく利用可能です。


◆メッセージの編集機能

 - 「ソース」モードで文字列をコピーして「編集」を行うと、
   タグの文字列がエスケープシーケンスが付加されてしまう問題に対処(#607)
 - ルビ自動入力機能がオンの状態でIME変換中にEnterで確定せずに次の文字を
   打ち始めると不正終了する問題に対処思案した(#904)
 - 長いルビが振られるとグリッド上で表示されない問題に対処しました(#900)
 - グリッドのヘッダを右クリックして列設定するとき、複数列を選択しても動作するようにしました(#858)

◆チーム管理機能(Subversion)

 - 初期チェックインが出来るようになりました(#433)
 - メニュー「チェックアウト」は「ファイル」の下ではなく「チーム」の下に置くようになりました(#901)
 - 自分がコミットしたファイルがすでにサーバ上で編集されていた場合(out-of-date)、
   更新を促すようにしました(#718)
 - 競合を解決しようとしたときに、パスに日本語が含まれる場合に不正終了する問題に対処(#897)
 - 既存項目を追加したとき、タイミングによってアイコンオーバーレイが正確に描画できない問題に対処(#899)
 - プロジェクトエクスプローラのルートノードを右クリックしてRevertすると落ちることがある問題に対処(#879)
 - コミットするとき存在しないファイルがプロジェクトノードに存在すると
   不正終了する問題に対処しました(#902)

◆メッセージエディタファイル(gmm)のインポーター

 - インポート対象のgmmファイルを「参照」するときに複数選択できるようになりました(#424)
 - インポートしたはずのファイルがプロジェクトに入らない問題に対処(#919)
 - 複数ファイルを同時にインポートするときに、言語のバインドを毎回聞かないようにしました(#920)
 - 言語バインドを類推するときに、プロジェクトの言語が二つ以上出現しないようにしました(#921)
 - インポートされたファイルがチーム管理機能を利用されている場合、Addされるようにしました(#926)
 - 直前に選択していたノードにインポートされるようになりました(#923)
 - インポート先のファイルがすでに存在する場合、処理を飛ばすようにしました(#925)

◆そのほかユーザーインターフェイス

 - 各メニューアイテムの解説をステータスバーに表示するようにしました(#914)
 - プロジェクトエクスプローラでコンテンツアイテムのコピー、
   切り取りなどが出来るようになりました(#906、#910)
 - メッセージの統計結果が正確に表示されない問題に対処しました(#889)
 - メッセージの統計を調べる処理がマルチスレッド化されました(#890)
 - データの出力設定の、左側のチェックリストの挙動をよくしました(#887)

◆データ

 - 属性、タグのコメントが、アプリケーションの言語設定ごとに設定できるようになりました(#891)
 - タグパラメータに特定値モードを追加しました(#915)

◆プラグイン開発者向け

 - IImporterPlugin / IExporterPluginの仕様が変わりました(#917)
 - GmmToMstxtImplの各関数がvirtual化されました(#922)


--------------------------------------------------------------------------------
Ver 0.9.0.4012 (2009年08月03日)
--------------------------------------------------------------------------------

・社内での初公開版(特定のチームを除く)

